www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler" <uschind...@apache.org>
Subject RE: Lucene slave [was: Re: Jenkins failure?]
Date Wed, 09 Mar 2011 00:35:10 GMT
Hi,

Diablo-1.5 does not work anymore (it is neither in the ports dir and if
installed manually it does not find /bin/libz.so.3 - the diable-jdk 1.5 is
simply outdated):

[hudson@lucene /]$ /usr/local/diablo-jdk1.5.0/bin/java
/libexec/ld-elf.so.1: Shared object "libz.so.3" not found, required by
"java"

This is unfixable, I spent the last three hours on that. Diable 1.6.0 is not
needed by us, we use openjdk, else Lucene/Solr's tests fail with crashing
JVMs

Uwe.

-----
Uwe Schindler
uschindler@apache.org 
Apache Lucene PMC Member / Committer
Bremen, Germany
http://lucene.apache.org/

> -----Original Message-----
> From: Joe Schaefer [mailto:joe_schaefer@yahoo.com]
> Sent: Wednesday, March 09, 2011 1:30 AM
> To: builds@apache.org
> Subject: Re: Lucene slave [was: Re: Jenkins failure?]
> 
> Your pmc was notified yesterday of the upgrade.  I have no idea why you
> didn't just run
> 
> % pkg_add -r diablo-jdk15
> % pkg_add -r diablo-jdk16
> 
> to pull in the missing ports, but I've gone ahead and done that now.
> 
> 
> ----- Original Message ----
> > From: Uwe Schindler <uwe@thetaphi.de>
> > To: builds@apache.org
> > Sent: Tue, March 8, 2011 7:08:20 PM
> > Subject: RE: Lucene slave [was: Re: Jenkins failure?]
> >
> > Hi Niklas,
> >
> > since the upgrade the whole Lucene Build is broken  (unfixable). We
> > need JDK
> > 1.5 to test our dependencies during compiling - this  is gone after
> > update and is now uninstallable in FreeBSD latest version  (neither
> > Diablo nor any other jdk can be installed anymore). I was able to
> > install openjdk (as the shipped jdk6 is useless for Lucene  (crashes
> > during tests as its *very* old something like 1.6.0_05). Alltogether
> > Hudson  should be able to start now, but all Lucene builds will fail,
> > so maybe it's  better to let it switched off for now.
> >
> > Why was there no announcement  on the FreeBSD upgrade?
> >
> > The easiest to solve the problem on the FreeBSD  Jail would be to
> > install the latest Linux JDKs -- but in a JAIL the  filesystem mounts
> > are missing to get a working /proc (linprocfs mount) for  the emulator
> > to work correct. Can we have that  one?
> >
> > Alternatively:
> > The Lucene builds currently only run on this  machine (very special
> > config), but we could port them over to the linux ones,  but the
> > builds are running currently every 15 mins, so any Ubuntu slave would
> > be overcrowded. Is there any possibility to get a own and most
> > important FAST  build machine/VM for Lucene/Solr to run our very
> > CPU-expensive tests that has  the following
> > possibilities:
> > - latest JDK 1.5 from SUN/Oracle
> > - latest  JDK 1.6 from SUN/Oracle or OpenJDK
> >
> > Uwe
> >
> > -----
> > Uwe  Schindler
> > H.-H.-Meier-Allee 63, D-28213  Bremen
> > http://www.thetaphi.de
> > eMail: uwe@thetaphi.de
> >
> >
> > > -----Original  Message-----
> > > From: Niklas Gustavsson [mailto:niklas@protocol7.com]
> > > Sent:  Tuesday, March 08, 2011 10:17 PM
> > > To: builds@apache.org
> > > Subject: Re:  Lucene slave [was: Re: Jenkins failure?]
> > >
> > > On Tue, Mar 8, 2011 at  10:09 PM, Uwe Schindler <uwe@thetaphi.de>
> wrote:
> > > >  Thanks, I will take care and place a link to the correct jdk in
> > usr/local.  Should
> > > it start automatically?
> > >
> > > Ping me when you're  done.
> > >
> > > /niklas
> >
> >
> 
> 
> 


Mime
View raw message